REST API should return user.status
Status: Closed Start date:
Priority: Low Due date:
Assignee: Jean-Baptiste Barth % Done:
Category: REST API Estimated time:
Target version: 2.4.0

Description

Currently, the REST API /users [1] does not return the status of the requested user.

As | needed this information, | made a tiny modification to show.api.rsb.

Find attached a patch which returns the user.status to the caller, iff the caller is either an admin user or the user who is being

returned.

[1] http://www.redmine.org/projects/redmine/wiki/Rest_Users

Associated revisions

Revision 11790 - 2013-05-05 10:19 - Jean-Baptiste Barth
Add status to /users/:id API for admins (#13948).

Patch by Kambiz Darabi

History

#1 - 2013-05-05 10:22 - Jean-Baptiste Barth
- Status changed from New to Resolved
- Assignee set to Jean-Baptiste Barth

- Target version set to 2.4.0

As discussed on IRC, nice addition. Added in r11790, it will be in 2.4.0.

| didn't add the status for User.current : if he can make the request, his status is probably "active" ;)

Thanks

#2 - 2013-07-11 21:14 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

rest-api-user-status.patch 507 Bytes 2013-05-05

2025-05-17

Kambiz Darabi

1/1



http://www.redmine.org/projects/redmine/wiki/Rest_Users
https://www.redmine.org/projects/redmine/repository/svn/revisions/11790
https://www.redmine.org/versions/70
http://www.tcpdf.org

